xmlcallback.h File Reference

Deals with parsing XML program data at the file level. More...

`#include <iostream>`
`#include <stack>`
`#include "regina-core.h"`
`#include "utilities/xmlelementreader.h"`

## Classes

class | regina::XMLCallback
| Provides the callbacks for an XMLParser required to parse an entire file using a series of XMLElementReader objects. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with parsing XML program data at the file level.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).